<template>
  <div class="Enteroverhaul">
    <div class="btns">
      <el-button class="btn" type="primary" @click="startMaintenceTask">
        <div style="
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
          ">
          <img style="width: 4.75rem; height: 4.75rem" src="@/assets/Enteroverhaul/start.png" alt="" />
          <span style="
              color: rgba(0, 239, 248, 1);
              font-size: 1.25rem;
              margin-top: 1.6rem;
            ">开始检修</span>
        </div>
      </el-button>
      <el-button class="btn" type="primary" style="margin-left: 6.81rem" @click="stopMaintenceTask">
        <div style="
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
          ">
          <img style="width: 4.75rem; height: 4.75rem" src="@/assets/Enteroverhaul/pause.png" alt="" />
          <span style="
              color: rgba(0, 239, 248, 1);
              font-size: 1.25rem;
              margin-top: 1.6rem;
            ">结束检修</span>
        </div>
      </el-button>
    </div>
    <div v-if="isStart" class="content_box">
      <el-table empty-text="暂无数据" :data="tableData" style="width: 100%" :header-cell-style="{
        height: '1.61rem',
        color: '#1AC8FE',
        background: '#0A5B91',
        fontSize: '0.88rem',
      }" :cell-style="{
        color: '#fff',
        background: '#147BAF',
      }">
        <el-table-column prop="userAccount" label="用户账号" align="center" />
        <el-table-column prop="modifier" label="修改人" />
        <el-table-column prop="modifyDate" label="修改时间" align="center" />
        <el-table-column prop="maintenanceStatus" label="检修状态" align="center">
          <template #default="scope">
            <span v-if="scope.row.maintenanceStatus === 0">未开始</span>
            <span v-else-if="scope.row.maintenanceStatus === 1">进行中</span>
            <span v-else-if="scope.row.maintenanceStatus === 2">已结束</span></template>
        </el-table-column>
        <el-table-column prop="maintenanceDate" label="派发任务时间" align="center" />

        <el-table-column prop="maintenancStartTime" label="开始检修时间" align="center" />
        <el-table-column prop="maintenancEendTime" label="结束检修时间" align="center" />
      </el-table>
    </div>
  </div>
</template>
<script setup>
import { onMounted, ref } from "vue";
import store from "@/store/index";
import {
  MaintenanceTasksOfTheDay,
  StartMaintenceTask,
  StopMaintenanceTask,
} from "@/api/user";

const userInfo = ref(store.state.userInfo);
const isStart = ref(false); //是否开始检修
const tableData = ref([]); //检修任务数据
//获取当天检修任务
const getMaintenanceTasksOfTheDay = async () => {
  MaintenanceTasksOfTheDay({
    account: userInfo.value.userName,
  }).then((res) => {
    tableData.value = [res.data];
    console.log("检修任务数据", tableData.value);
  });
};
//开始检修
const startMaintenceTask = async () => {
  StartMaintenceTask({
    account: userInfo.value.userName,
  }).then((res) => {
    isStart.value = true;
    tableData.value = [res.data];
  });
};
//结束检修
const stopMaintenceTask = async () => {
  StopMaintenanceTask({
    account: userInfo.value.userName,
  }).then((res) => {
    isStart.value = false;
    tableData.value = [res.data];
  });
};

onMounted(() => {
  getMaintenanceTasksOfTheDay();
});
</script>
<style lang="scss" scoped>
.Enteroverhaul {
  display: flex;
  flex-direction: column;
  align-items: center;

  .btns {
    margin-top: 7%;

    .btn {
      width: 12.19rem;
      height: 11.63rem;
      background-image: url("@/assets/Enteroverhaul/btnbg.png");
      background-size: 100% 100%;
      background-repeat: no-repeat;
      border: none;
    }
  }

  .content_box {
    width: 70%;
    height: 40%;
    background-color: rgba(9, 48, 104, 1);
    color: rgba(16, 16, 16, 1);
    font-size: 0.88rem;
    box-shadow: 0rem 0.13rem 0.38rem 0rem rgba(6, 229, 231, 1);
    border: 0.06rem solid rgba(6, 229, 231, 1);
    margin-top: 5.19rem;
  }
}
</style>